Description

If the copy of a project takes (the project is long) and re-click the copy button, Redmine allows this action and copy two projects with

exactly the same characteristics (id and name included).

It would be possible disable the copy button, until the copy is complete or there is a time out ?

Thanks

Related issues:

Related to Redmine - Defect #6579: Tree hierachy being currupted on multiple ... Closed 2010-10-05

Related to Redmine - Feature #23630: Migrate to Rails 5.2 Closed

History

#1 - 2011-06-06 12:53 - Luis Serrano Aranda

Addint a message like Loading... But typing Working...

#2 - 2011-06-06 15:29 - Luis Serrano Aranda

A possible solution is to add this code at the end of prototype.js, disable the button until the task is completed.

var SubmitHelper = {

disableFormsOfPage: function(){

$$('form').each(function(form) {

form.observe('submit', function() {

form.getInputs('submit').each(function(submit) {

if (!submit.readAttribute("no_disabled")){

submit.disable();

}

});

});

});

},

init: function(){

Event.observe(window, 'load', SubmitHelper.disableFormsOfPage.bindAsEventListener())

}

}

SubmitHelper.init();

#3 - 2011-06-06 16:06 - Luis Serrano Aranda

This a workaround, but not solve the concurrently, the backward...

I think it's better write a flag in the server (to not copy a project concurrently)

#4 - 2011-08-06 08:30 - Masamitsu Murase

I think that this workaround does not work when an user select "Create and continue" button,

because "continue" parameter is not sent to the server if "Create and continue" is disabled.

Therefore,

  if (!submit.readAttribute("no_disabled")){

    submit.disable();
  }

should be

  if (!submit.readAttribute("no_disabled")){

    setTimeout(function(){ submit.disable(); }, 0);

  }

 Please refer to my plugin.

(This plugin works on only "Issue" page currently...)

Regards,

Murase

#5 - 2018-07-02 16:14 - Go MAEDA

- Related to Feature #23630: Migrate to Rails 5.2 added

#6 - 2018-07-02 16:16 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

It will be fixed in Redmine 4.0.0. Rails 5 automatically disables submit buttons while executing an action. See also: 

https://github.com/rails/rails/pull/21135
